Debian Bug report logs - #603380
messages about track alignment

version graph

Package: kfreebsd-image-8.1-1-amd64; Maintainer for kfreebsd-image-8.1-1-amd64 is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>;

Reported by: Robert Millan <rmh@debian.org>

Date: Sat, 13 Nov 2010 15:48:02 UTC

Severity: normal

Tags: patch

Found in version kfreebsd-8/8.1-5

Fixed in version kfreebsd-8/8.1+dfsg-7

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, rmh@debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#603380; Package kfreebsd-image-8.1-1-amd64. (Sat, 13 Nov 2010 15:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
New Bug report received and forwarded. Copy sent to rmh@debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 13 Nov 2010 15:48:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: messages about track alignment
Date: Sat, 13 Nov 2010 16:44:33 +0100
[Message part 1 (text/plain, inline)]
Package: kfreebsd-image-8.1-1-amd64
Version: 8.1-5
Severity: normal
Tags: patch

kFreeBSD usually spits a bunch of messages about partitions
not starting/ending on track boundary during boot:

GEOM: da0: partition 2 does not start on a track boundary.
GEOM: da0: partition 2 does not end on a track boundary.
GEOM: da0: partition 1 does not start on a track boundary.
GEOM: da0: partition 1 does not end on a track boundary.

These messages are a remnant of the past, as track alignment
is currently meaningless to the disk (hard disks manage
their geometry internally, and new devices such as flash/SD
don't even have tracks).

Here's a patch to remove them.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 8.1-1-amd64
Locale: LANG=ca_AD.UTF-8, LC_CTYPE=ca_AD.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages kfreebsd-image-8.1-1-amd64 depends on:
ii  freebsd-utils                 8.1-2+b1   FreeBSD utilities needed for GNU/k
ii  kldutils                      8.1-2+b1   tools for managing kFreeBSD module

kfreebsd-image-8.1-1-amd64 recommends no packages.

kfreebsd-image-8.1-1-amd64 suggests no packages.

-- no debconf information
[align.diff (text/plain, attachment)]

Added tag(s) pending. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Fri, 03 Dec 2010 11:27:06 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Fri, 03 Dec 2010 17:51:07 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@debian.org>:
Bug acknowledged by developer. (Fri, 03 Dec 2010 17:51:07 GMT) Full text and rfc822 format available.

Message #12 received at 603380-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 603380-close@bugs.debian.org
Subject: Bug#603380: fixed in kfreebsd-8 8.1+dfsg-7
Date: Fri, 03 Dec 2010 17:47:49 +0000
Source: kfreebsd-8
Source-Version: 8.1+dfsg-7

We believe that the bug you reported is fixed in the latest version of
kfreebsd-8, which is due to be installed in the Debian FTP archive:

kfreebsd-8_8.1+dfsg-7.diff.gz
  to main/k/kfreebsd-8/kfreebsd-8_8.1+dfsg-7.diff.gz
kfreebsd-8_8.1+dfsg-7.dsc
  to main/k/kfreebsd-8/kfreebsd-8_8.1+dfsg-7.dsc
kfreebsd-headers-8-amd64_8.1+dfsg-7_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8-amd64_8.1+dfsg-7_kfreebsd-amd64.deb
kfreebsd-headers-8.1-1-amd64_8.1+dfsg-7_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8.1-1-amd64_8.1+dfsg-7_kfreebsd-amd64.deb
kfreebsd-headers-8.1-1_8.1+dfsg-7_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8.1-1_8.1+dfsg-7_kfreebsd-amd64.deb
kfreebsd-image-8-amd64_8.1+dfsg-7_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-image-8-amd64_8.1+dfsg-7_kfreebsd-amd64.deb
kfreebsd-image-8.1-1-amd64_8.1+dfsg-7_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-image-8.1-1-amd64_8.1+dfsg-7_kfreebsd-amd64.deb
kfreebsd-source-8.1_8.1+dfsg-7_all.deb
  to main/k/kfreebsd-8/kfreebsd-source-8.1_8.1+dfsg-7_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 603380@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated kfreebsd-8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 03 Dec 2010 17:12:11 +0100
Source: kfreebsd-8
Binary: kfreebsd-source-8.1 kfreebsd-headers-8.1-1 kfreebsd-image-8.1-1-amd64 kfreebsd-image-8-amd64 kfreebsd-headers-8.1-1-amd64 kfreebsd-headers-8-amd64 kfreebsd-image-8.1-1-486 kfreebsd-image-8-486 kfreebsd-headers-8.1-1-486 kfreebsd-headers-8-486 kfreebsd-image-8.1-1-686 kfreebsd-image-8-686 kfreebsd-headers-8.1-1-686 kfreebsd-headers-8-686 kfreebsd-image-8.1-1-686-smp kfreebsd-image-8-686-smp kfreebsd-headers-8.1-1-686-smp kfreebsd-headers-8-686-smp
Architecture: source all kfreebsd-amd64
Version: 8.1+dfsg-7
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 kfreebsd-headers-8-486 - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-686 - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-686-smp - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-amd64 - header files for kernel of FreeBSD 8
 kfreebsd-headers-8.1-1 - Common architecture-specific header files for kernel of FreeBSD 8
 kfreebsd-headers-8.1-1-486 - header files for kernel of FreeBSD 8.1
 kfreebsd-headers-8.1-1-686 - header files for kernel of FreeBSD 8.1
 kfreebsd-headers-8.1-1-686-smp - header files for kernel of FreeBSD 8.1
 kfreebsd-headers-8.1-1-amd64 - header files for kernel of FreeBSD 8.1
 kfreebsd-image-8-486 - kernel of FreeBSD 8 image
 kfreebsd-image-8-686 - kernel of FreeBSD 8 image
 kfreebsd-image-8-686-smp - kernel of FreeBSD 8 image
 kfreebsd-image-8-amd64 - kernel of FreeBSD 8 image
 kfreebsd-image-8.1-1-486 - kernel of FreeBSD 8.1 image
 kfreebsd-image-8.1-1-686 - kernel of FreeBSD 8.1 image
 kfreebsd-image-8.1-1-686-smp - kernel of FreeBSD 8.1 image
 kfreebsd-image-8.1-1-amd64 - kernel of FreeBSD 8.1 image
 kfreebsd-source-8.1 - source code for kernel of FreeBSD 8.1 with Debian patches
Closes: 603380 605065 605724
Changes: 
 kfreebsd-8 (8.1+dfsg-7) unstable; urgency=low
 .
   [ Robert Millan ]
   * Add 917_track_alignment.diff to remove obsolete warning about track
     alignment in MSDOS partitions. Closes: #603380.
 .
   [ Petr Salinger ]
   * Add 918_delete_key.diff to conform to Debian Policy,
     9.8 Keyboard configuration. Closes: #605065.
   * Extend 108_teken_utf8_table.diff for U+25AE. Closes: #605724.
Checksums-Sha1: 
 19ac403149a583e24df030d0603f922490f01a89 1898 kfreebsd-8_8.1+dfsg-7.dsc
 385c8ab632276d953a226929a3bdaf605f3f73ac 86466 kfreebsd-8_8.1+dfsg-7.diff.gz
 e5e860c0636e02d484fce245cf33efda660c253b 17481858 kfreebsd-source-8.1_8.1+dfsg-7_all.deb
 f8517b4d5f526affa3338ac6f3f98ac705e0b6df 6553922 kfreebsd-headers-8.1-1_8.1+dfsg-7_kfreebsd-amd64.deb
 60d5f9edffd3a3e73dcf41498c96a2026181a492 10852932 kfreebsd-image-8.1-1-amd64_8.1+dfsg-7_kfreebsd-amd64.deb
 fd8433e0be183d2e86ba34e37882637fae110a6e 47394 kfreebsd-image-8-amd64_8.1+dfsg-7_kfreebsd-amd64.deb
 adb241067df976fbe58a4bb9e6311e07b6c3edf7 312150 kfreebsd-headers-8.1-1-amd64_8.1+dfsg-7_kfreebsd-amd64.deb
 bcfdaaa2bf4129df489ed0a2d5f3b6192888c30e 47398 kfreebsd-headers-8-amd64_8.1+dfsg-7_kfreebsd-amd64.deb
Checksums-Sha256: 
 4d71881fdc81c24bff99369536cead827033d861e3dbc6a621e4574eff6a1c07 1898 kfreebsd-8_8.1+dfsg-7.dsc
 0f9b385d764b2b2bcdfe1d09e9d298843b4c01fd86039e8fdebcb5f8de4853a6 86466 kfreebsd-8_8.1+dfsg-7.diff.gz
 5a48714ddcec2ff32087d4c237264b54d894d17fcc659d0b8919ee8890de5031 17481858 kfreebsd-source-8.1_8.1+dfsg-7_all.deb
 9779a8b103c418127f251fe951fb97e20bf79ffa5390e5d8ff277a2a512c7e67 6553922 kfreebsd-headers-8.1-1_8.1+dfsg-7_kfreebsd-amd64.deb
 1c03d0403cb7daffc166ad5ac693d5d3bde1b9c1c7c271ccce61add82a6cd74d 10852932 kfreebsd-image-8.1-1-amd64_8.1+dfsg-7_kfreebsd-amd64.deb
 e303d6847fe108c9c1a0041f842e43ab99249043382c118ff31f68dc938772e3 47394 kfreebsd-image-8-amd64_8.1+dfsg-7_kfreebsd-amd64.deb
 135270ca2870ac2e78613078495a4415be5ce1c08b7f7a35cc4f2851fe15df3d 312150 kfreebsd-headers-8.1-1-amd64_8.1+dfsg-7_kfreebsd-amd64.deb
 5aeb351280e4a6e010d26c2e989089a7aa57eb79c288667832e27892beee52ef 47398 kfreebsd-headers-8-amd64_8.1+dfsg-7_kfreebsd-amd64.deb
Files: 
 714e584e7c8d93d49f476cee480235b0 1898 kernel optional kfreebsd-8_8.1+dfsg-7.dsc
 5b595d65c21c6680286718e67482a64a 86466 kernel optional kfreebsd-8_8.1+dfsg-7.diff.gz
 c46c8902fb99a67d56eaca86ce545409 17481858 kernel optional kfreebsd-source-8.1_8.1+dfsg-7_all.deb
 a562698a7117efbb6e2f49a635771fa8 6553922 kernel optional kfreebsd-headers-8.1-1_8.1+dfsg-7_kfreebsd-amd64.deb
 c58ebe43de40e1ec95dd573454e2df6f 10852932 kernel optional kfreebsd-image-8.1-1-amd64_8.1+dfsg-7_kfreebsd-amd64.deb
 64768496cf33f38b9347e63a0866b0cf 47394 kernel optional kfreebsd-image-8-amd64_8.1+dfsg-7_kfreebsd-amd64.deb
 4f804d1bbd7fcff1437f416105a0ca4c 312150 kernel optional kfreebsd-headers-8.1-1-amd64_8.1+dfsg-7_kfreebsd-amd64.deb
 0426440f7af5e8bec799d69c42ececa9 47398 kernel optional kfreebsd-headers-8-amd64_8.1+dfsg-7_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/kFreeBSD)

iD8DBQFM+Sdkw3ao2vG823MRAqxSAJ9dSgX0/N8S/6dmkYitcSK+yAHAbgCfdhUe
nJGQr4aQ47GD/9xb78/PnRo=
=x8/H
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 01 Jan 2011 07:33:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 09:17:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.